Skip to main content

Create/Update Business Unit Link

PUT 

/client/users/:correlation_id/business/units/:business_unit/links/:link_id

Allows caller to update or add a business unit link.

Request

Path Variables

{{cux_url}}/client/users/{{correlation_id}}/business/units/{{business_unit}}/links/{{link_id}}

  • correlation_id: This request requires an open session, which will point to the user account
  • business_unit: Business Unit key
  • link_id: a unique id for the link.

Body

AttributeDefinitionFormatNotes
dateLinkedISO-formatted date and timeStringOptional. Represents the date/time this link was created in the client system. If the status is UNLINKED, it represents the time it was removed from the client system. If not provided, assumed to be the current date/time of the request.
statusLink statusStringOptional.
LINKED (default if not provided) = account has been linked to that business unit.
UNLINKED = Account was previously linked, but is no longer linked.

Response

AttributeDefinitionFormatNotes
linkIdUnique ID for the linkStringSuggest that this be an ID that references the link in the client's system like an account number. Do not put sensitive data here as it will be shown in other views.
businessUnitName of the business unitStringThe valid values come from a configuration table
dateLinkedISO-formatted date and timeStringThis represents the date/time this link was created in the client system. If the status is UNLINKED, it represents the time it was removed in the client system.
statusStatus of the link between the account and the business unitEnum: "LINKED" or "UNLINKED"LINKED = account has been linked to that business unit
UNLINKED = account was previously linked to that BU, but is no longer linked

Request

Responses

200 - Link Added or Updated

Response Headers
    Date
    Example: Fri, 18 Dec 2020 15:27:27 GMT
    Content-Length
    Example: 99
    Connection
    Example: keep-alive
    x-amzn-RequestId
    Example: 15bfcfb4-9a3a-4fec-8a7a-2b485e88853b
    Referrer-Policy
    Example: no-referrer
    X-XSS-Protection
    Example: 1;mode=block
    Access-Control-Allow-Origin
    Example: *
    Expect-CT
    Example: max-age=86400
    Strict-Transport-Security
    Example: max-age=31536000
    Feature-Policy
    Example: vibrate 'none'; geolocation 'none'
    X-Frame-Options
    Example: sameorigin
    Content-Security-Policy
    Example: connect-src 'none';object-src https://*.cloudfront.net;script-src https://*.cloudfront.net
    x-amz-apigw-id
    Example: XwSO9G1zIAMFhoA=
    cache-control
    Example: no-cache, no-store, must-revalidate
    X-Content-Type-Options
    Example: nosniff
    X-Amzn-Trace-Id
    Example: Root=1-5fdcca5f-2ed680fb551067b85600759b;Sampled=0